package com.os.mes.record.controller;

import com.os.common.core.controller.BaseController;
import com.os.common.core.domain.AjaxResult;
import com.os.common.core.page.TableDataInfo;
import com.os.mes.base.domain.BaseCustomData;
import com.os.mes.record.domain.RecordStaffAttendance;
import com.os.mes.record.domain.RecordStaffSalary;
import com.os.mes.record.service.IRecordStaffAttendanceService;
import com.os.mes.record.service.IRecordStaffSalaryService;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 员工工资记录Controller
 *
 * @author Yinq
 * @date 2024-05-24
 */
@RestController
@RequestMapping("/mes/record/staffSalary")
public class RecordStaffSalaryController extends BaseController {

    @Autowired
    private IRecordStaffSalaryService staffSalaryService;


    /**
     * 班组员工工资
     * @param recordStaffSalary
     * @return
     */
    @GetMapping("/selectTeamEmployeesWages")
    public AjaxResult selectTeamEmployeesWages(RecordStaffSalary recordStaffSalary) {
        List<RecordStaffSalary> list = staffSalaryService.selectTeamEmployeesWages(recordStaffSalary);
        return success(list);
    }

}
