package com.os.mes.record.domain;

import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 员工工资记录对象 record_staff_attendance
 *
 * @author Yinq
 * @date 2024-05-24
 */
public class RecordStaffSalary extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 班组编号
     */
    @Excel(name = "班组编号")
    private String teamCode;

    /**
     * 班组名称
     */
    @Excel(name = "班组名称")
    private String teamName;

    /**
     * 员工ID
     */
    @Excel(name = "员工ID")
    private String staffId;

    /**
     * 员工名称
     */
    @Excel(name = "员工名称")
    private String staffName;

    /**
     * 工资系数
     */
    @Excel(name = "工资系数")
    private BigDecimal wageCoefficient;

    /**
     * 工资
     */
    @Excel(name = "工资")
    private BigDecimal wage;

    /**
     * 开始日期
     */
    @Excel(name = "开始日期")
    private Date beginDate;

    /**
     * 结束日期
     */
    @Excel(name = "结束日期")
    private Date endDate;

    public String getTeamCode() {
        return teamCode;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public BigDecimal getWageCoefficient() {
        return wageCoefficient;
    }

    public void setWageCoefficient(BigDecimal wageCoefficient) {
        this.wageCoefficient = wageCoefficient;
    }

    public BigDecimal getWage() {
        return wage;
    }

    public void setWage(BigDecimal wage) {
        this.wage = wage;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Override
    public String toString() {
        return "RecordStaffSalary{" +
                "teamCode='" + teamCode + '\'' +
                ", teamName='" + teamName + '\'' +
                ", staffId='" + staffId + '\'' +
                ", staffName='" + staffName + '\'' +
                ", wageCoefficient=" + wageCoefficient +
                ", wage=" + wage +
                ", beginDate=" + beginDate +
                ", endDate=" + endDate +
                '}';
    }
}
